/**************************************************************************//**
 * @file      : NUC1xx_i2c.h
 * @brief     : NUC1xx I2C Master Peripheral Interface
 * @version   : V1.0
 * @date      : 30. Jun. 2010
 * @author    : CooCox
******************************************************************************/
#ifndef __NUC1xx_I2C_H
#define __NUC1xx_I2C_H

#include "cox_types.h"
#include "cox_i2c.h"

typedef void (*I2C_CALLBACK)(uint32_t status);
/*---------------------------------------------------------------------------------------------------------*/
/* Define I2C Call back function Data Struct                                                               */
/*---------------------------------------------------------------------------------------------------------*/
typedef struct
{
    I2C_CALLBACK	I2CCallBackFn;
    I2C_CALLBACK	ArbitLossCallBackFn;    
    I2C_CALLBACK	BusErrCallBackFn;
    I2C_CALLBACK	TimeoutCallBackFn;

} I2C_CALLBACK_T;

/*---------------------------------------------------------------------------------------------------------*/
/* Define I2C Call back function type                                                               	   */
/*---------------------------------------------------------------------------------------------------------*/
typedef enum
{
	I2CFUNC   = 0, 
	ARBITLOSS = 1,
	BUSERROR  = 2,
	TIMEOUT	  = 3
} E_I2C_CALLBACK_TYPE;

static I2C_CALLBACK_T I2CHandler0 = {0};
static I2C_CALLBACK_T I2CHandler1 = {0};


/*---------------------------------------------------------------------------------------------------------*/
/*  Define Error Code									                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#define E_DRVI2C_ERR_ARGUMENT   _SYSINFRA_ERRCODE(TRUE, MODULE_ID_DRVI2C, 1)

/** Define NUC1xx CoX I2C Master Peripheral Interface based on I2C0
*******************************************************************************/
extern COX_I2C_PI pi_i2c0;
extern COX_I2C_PI pi_i2c1;

#endif









