/******************************************************************************
 * @file      : lpc_i2c_master.h
 * @brief     : LPC17xx I2C Slave Peripheral Interface
 * @version	  : V1.0
 * @date      : 30. Jun. 2010
 * @author    : CooCox
******************************************************************************/
#ifndef __NUC1_I2C_SLAVE_H
#define __NUC1_I2C_SLAVE_H

#include "cox_i2c_slave.h"

/*******************************************************************************
 * Define NUC1xx CoX I2C Slave Peripheral Interface based on I2C2
*******************************************************************************/
extern COX_SI2C_PI pi_i2c0_slave;
typedef void (*I2C_CALLBACK)(uint32_t status);
/*---------------------------------------------------------------------------------------------------------*/
/* Define I2C Call back function Data Struct                                                               */
/*---------------------------------------------------------------------------------------------------------*/
typedef struct
{
	I2C_CALLBACK	I2CCallBackFn;
	I2C_CALLBACK	ArbitLossCallBackFn;    
	I2C_CALLBACK	BusErrCallBackFn;
	I2C_CALLBACK	TimeoutCallBackFn;
}I2C_CALLBACK_T;


static I2C_CALLBACK_T I2CHandler0 = {0};
static I2C_CALLBACK_T I2CHandler1 = {0};
/*---------------------------------------------------------------------------------------------------------*/
/* Define I2C Call back function type                                                               	   */
/*---------------------------------------------------------------------------------------------------------*/
typedef enum
{
	I2CFUNC   = 0, 
	ARBITLOSS = 1,
	BUSERROR  = 2,
	TIMEOUT	  = 3
} E_I2C_CALLBACK_TYPE;

/*******************************************************************************
 * Define NUC1xx CoX I2C Slave Peripheral Interface based on I2C2
*******************************************************************************/
extern COX_SI2C_PI pi_i2c1_slave;
#endif
