/***************************************************************************//**
 * @file      : nuc_PWM.h
 * @brief     : NUC1xx PWM Interface
 * @version   : V1.0
 * @date      : 8. Stpl. 2010
 * @author    : CooCox 
*******************************************************************************/
#include "cox_pwm.h"

#ifndef __NUC_PWM_H
#define __NNUC_PWM_H

#define NUC_PWM_CHANNEL0       COX_PIN(0, 12)
#define NUC_PWM_CHANNEL1       COX_PIN(0, 13)

#define NUC_PWM_CHANNEL2       COX_PIN(0, 14)
#define NUC_PWM_CHANNEL3       COX_PIN(0, 15)

#define NUC_PWM_CHANNEL4       COX_PIN(1, 11)
#define NUC_PWM_CHANNEL5       COX_PIN(4,  5)

#define NUC_PWM_CHANNEL6       COX_PIN(4,  0)
#define NUC_PWM_CHANNEL7       COX_PIN(4,  1)

/***************************************************************************//**
 * Define PWM Peripheral Interface
 * Max Period : 0xFFFFFFFF / Core Clock
 * Exp :
 *       Core Clock     MAX Period (S)
 *       72000000        59.65232
 *       32000000       134.21772
*******************************************************************************/
extern COX_PWM_PI pi_pwm;

#endif
