
/***************************************************************************//**
 * @file      : nuc_exti.h
 * @brief     : NUC1xx EXTI Interface
 * @version   : V1.0
 * @date      : 12. Jul. 2010
 * @author    : CooCox 
*******************************************************************************/
#ifndef __NUC_EXTI_H
#define __NUC_EXTI_H

#include "cox_exti.h"

typedef enum 
{
	GPA = 0,
	GPB = 1 , 
	GPC = 2, 
	GPD = 3, 
	GPE	= 4
} port;

/**
 *       Define NUC1xx CoX EXTI Interface based on GPIO    \n
 *                                                         \n
 *Valid Pin :                                              \n
 *  PA.14 - ENIT0                                          \n
 *  PA.15 - ENIT1                                          \n
 *                                                         \n
 *Valid Event :                                            \n
 *  -COX_EXTI_NONE                : None interrupt         \n
 *  -COX_EXTI_EDGE_RISING         : Rising edge interrupt  \n
 *  -COX_EXTI_EDGE_FALLING        : Falling edge interrupt \n
 *  -COX_EXTI_EDGE_RISING_FALLING : Both edge interrupt (Rising and Falling) 
*******************************************************************************/
extern COX_EXTI_PI pi_exti;

#endif
