/***************************************************************************//**
 * @file      : nuc_spi_master.h
 * @brief     : NUC1xx SPI MASTER Peripheral Interface based on SPIx
 * @version   : V1.0
 * @date      : 31.August.2010
 * @author    : CooCox
*******************************************************************************/
#ifndef __NUC_SPI_MASTER_H
#define __NUC_SPI_MASTER_H
#include "cox_spi.h"

/**
    NUCxx COX SPI MASTER Peripheral Interface based on SPIx                  \n
                                                                             \n
	  Configuration Support:                                                   \n
	  COX_MSPI_CFG_MODE, support parameter:                                    \n
        - COX_SPI_MODE0                                                      \n
        - COX_SPI_MODE1                                                      \n
        - COX_SPI_MODE2                                                      \n
        - COX_SPI_MODE3                                                      \n
                                                                             \n
	  COX_MSPI_CFG_RATE : Transfer Speed  clock:3000000                        \n
	  COX_MSPI_CFG_BITS, support parameter:    1 ~ 32                          \n
*******************************************************************************/
typedef enum {
	eDRVSPI_PORT0,
	eDRVSPI_PORT1,
	eDRVSPI_PORT2,
	eDRVSPI_PORT3
} E_DRVSPI_PORT;


#define SPI_PORT0 0
#define SPI_PORT1 1
#define SPI_PORT2 2
#define SPI_PORT3 3

/** Define NUC1xx CoX SPI  Peripheral Interface based on SPI0
*******************************************************************************/
extern COX_SPI_PI pi_spi0;

/** Define NUC1xx CoX SPI  Peripheral Interface based on SPI1
*******************************************************************************/
extern COX_SPI_PI pi_spi1;

/** Define NUC1xx CoX SPI  Peripheral Interface based on SPI2
*******************************************************************************/
extern COX_SPI_PI pi_spi2;

/** Define NUC1xx CoX SPI  Peripheral Interface based on SPI3
*******************************************************************************/
extern COX_SPI_PI pi_spi3;

#endif
