/***************************************************************************//**
 * @file      : KeyBoard.h
 * @brief     : Character KeyBoard Driver Interface
 * @version   : 1.0
 * @date      : 25. Nov. 2010
 * @author    : CooCox
*******************************************************************************/
#include "cox_types.h"
#include "cox_pio.h"
/* KeyBoard Device Definition -----------------------------------------------------*/

typedef struct 
{
  uint8_t     matrix_width;          /* Pin of te CS  */
	uint16_t		 width_arry_pin[15];
	uint8_t     matrix_high;          /* Pin of te CS  */
	uint16_t		 high_arry_pin[15]; 
	COX_PIO_PI  *pio;             /* The PIO Interface to use */   
} KeyBoard_PinConfig;



/**
  Member           Description
  -----------------------------------------------------------------------------
  Init             Initializes the KeyBoard communication
  GetStatus        Returns the MSD status
-----------------------------------------------------------------------------*/
typedef struct {           
  COX_Status  (*Init)        			(const KeyBoard_PinConfig *Key);
  uint32_t    (*GetKey)    (const KeyBoard_PinConfig *Key);
  COX_Status  (*Scan)      (const KeyBoard_PinConfig *Key);
} KeyBoard;

extern const KeyBoard KeyB;

